HTML2MOBI(1)

NAME
html2mobi - A script to convert html files or a collection of html files
            to a MobiPocket file

SYNOPSIS
  html2mobi file.html

  html2mobi file1.html file2.html ... (not tested so much...)

DESCRIPTION
A script to convert html files or a collection of html files to a MobiPocket file

OPTIONS

--title TITLE
    Specify the title for the book. This overrides the value given in the html file.

--prefixtitle PREFIX
    Add a prefix to the title of the book. Useful for specifying number for books in series.

--author AUTHOR
    Specify the author of the book.

--mobifile MOBIFILE
    Name of the output file. This overrides the default value.

--htmlfile HTMLFILE
    Saves the html that is packed into mobi format. This html code contains Mobipocket specific things that are added automatically. This is mostly useful for debugging.

--coverimage IMAGE
    The image to be used as cover image.

--addthumbnail IMAGE
    The image to be used as tumb nail. If this flag is not used the specified cover image is used.

--addcoverlink
    Add link to cover image first in main HTML document. This requires the --coverimage flag.

--fixhtmlbr
    Tries to fix html files where two <br> in a row has been used instead of <p></p>.

--keepbr
    Used together with --fixhtmlbr and causes to <br> to be kept so the result is a book with space between paragraphs.

--gentoc
    For a collection of html files generate the table of contents automatically.

--removejavascript
    Remove Java script code from the html code before saving as a book.

--scaleallimages factor
    Scale factor to be applied to all images.

--imagerescale 0|1
    Default is rescaling images for them to work on Cybook Gen3. To disable this specify --imagerescale 0.

EXAMPLES
   html2mobi Alice_In_Wonderland.html

TODO
   - Specify margins with flags

   - Follow local links when given a root html file

   - Get meta information from somewhere...

   - Include wget

   - News argument (bbc, ....)

BUGS

AUTHOR
Tommy Persson (tpe@ida.liu.se)